Bug Hunting Session
Bug 55381 - LibreOffice does not recognize page breaks in attached docx
Summary: LibreOffice does not recognize page breaks in attached docx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other All
: medium normal
Assignee: Luboš Luňák
URL:
Whiteboard: target:4.2.5 target:4.3.0 target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-27 09:46 UTC by Andras Timar
Modified: 2017-03-14 07:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bugdoc (1.08 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-09-27 09:46 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-09-27 09:46:54 UTC
Created attachment 67760 [details]
bugdoc

The user produced this docx with Abby FineReader from a PDF. The resulting document opens fine in Word, but in LibreOffice Writer all text boxes are on the first page, they are overlapping each other.
Comment 1 Jean-Baptiste Faure 2012-11-14 04:58:36 UTC
Indeed, same problem with LO 4.0.0.0.alpha0+ (Build ID: 12fa9e) under Ubuntu 12.04.

Best regards. JBF
Comment 2 Commit Notification 2014-04-21 17:25:05 UTC
LuboÅ¡ LuÅak committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a859ff2db69457cc98c257d377f68c8786c50fa2&h=libreoffice-4-2

handle properly page breaks even if a page contains only a frame (fdo#55381)


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-04-21 17:26:33 UTC
LuboÅ¡ LuÅak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=abe1e852a232e3bdab7b9177d099fe3929f5a4aa

handle properly page breaks even if a page contains only a frame (fdo#55381)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-04-21 17:27:59 UTC
LuboÅ¡ LuÅak committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac66504fb119bfbbac3076d6e2fe875ec2e2ff89&h=libreoffice-4-2

Revert "handle properly page breaks even if a page contains only a frame (fdo#55381)"


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-04-22 07:26:23 UTC
LuboÅ¡ LuÅak committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c04cf57bdb99f9aa961a739f5ab62e3ece83449f&h=libreoffice-4-2

handle properly page breaks even if a page contains only a frame (fdo#55381)


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-03-14 07:31:23 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a09fc7dd097357b60931739b6ed281a0b931aa73

ooxmlimport: move tdf#55381 unit test to ooxmlexport

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.